import { Http,Util } from '@/utils';
import EntityService from '../entity-service';
import GetTBYDKXX from '@/service/syxtbyd/get-tbydkxx-logic';



/**
 * 商业险特别约定服务对象基类
 *
 * @export
 * @class SYXTBYDServiceBase
 * @extends {EntityServie}
 */
export default class SYXTBYDServiceBase extends EntityService {

    /**
     * Creates an instance of  SYXTBYDServiceBase.
     * 
     * @param {*} [opts={}]
     * @memberof  SYXTBYDServiceBase
     */
    constructor(opts: any = {}) {
        super(opts);
    }

    /**
     * 初始化基础数据
     *
     * @memberof SYXTBYDServiceBase
     */
    public initBasicData(){
        this.APPDEKEY = 'syxtbydid';
        this.APPDENAME = 'syxtbyds';
        this.APPDETEXT = 'syxtbydname';
    }

// 实体接口

    /**
     * GetTBYDKXX接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof SYXTBYDServiceBase
     */
    public async GetTBYDKXX(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        let appLogic:GetTBYDKXX = new GetTBYDKXX();
        const result = await appLogic.onExecute(context,data,isloading?true:false);
        return {status:200,data:result};
    }

    /**
     * FetchDefault接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof SYXTBYDServiceBase
     */
    public async FetchDefault(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        // FetchDefault ---FETCH
        if(context.srfsessionkey && !Object.is(this.tempStorage.getItem(context.srfsessionkey+'_syxtbyds'),'undefined')){
            let result:any = JSON.parse(this.tempStorage.getItem(context.srfsessionkey+'_syxtbyds') as any);
            if(result){
                return {"status":200,"data":result};
            }else{
                return {"status":200,"data":[]};
            } 
        }else{
            return {"status":200,"data":[]};
        }
    }

    /**
     * FetchTempDefault接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof SYXTBYDServiceBase
     */
    public async FetchTempDefault(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        // FetchTempDefault ---FETCHTEMP
        if(context.srfsessionkey && !Object.is(this.tempStorage.getItem(context.srfsessionkey+'_syxtbyds'),'undefined')){
            let result:any = JSON.parse(this.tempStorage.getItem(context.srfsessionkey+'_syxtbyds') as any);
            if(result){
                return {"status":200,"data":result};
            }else{
                return {"status":200,"data":[]};
            } 
        }else{
            return {"status":200,"data":[]};
        }
    }
}